from enum import Enum, unique


class ActionType(Enum):
    COPY = 1
    MOVE = 2


@unique
class TaskType(Enum):
    UPLOAD = 'upload'
    COPY = 'copy'
    ARIA2_DOWNLOAD = 'aria2_down'
    ARIA2_TRANSFER = 'aria2_transfer'
    QBITTORRENT_DOWNLOAD = 'qbit_down'
    QBITTORRENT_TRANSFER = 'qbit_transfer'
