from aria2p import API, Client

from aria2p import API, Client


class Aria2API:
    def __init__(self, url, secret):
        self.aria2_client = Client(url, secret=secret)
        self.aria2_api = API(self.aria2_client)

    def get_downloads(self):
        # 返回所有下载信息的列表
        return self.aria2_api.get_downloads()

    def add_url(self, url, options=None):
        """
        将下载链接添加到 Aria2。
        :param url: 下载链接
        :param options: Aria2下载选项，例如下载目录
        """
        try:
            # 添加下载链接到 Aria2
            download = self.aria2_api.add_uris([url], options=options if options else {})
            return download
        except Exception as e:
            print(f"Error adding URL to Aria2: {e}")
            return None
