from src.task.RemoteQbTask import RemoteQbTask


class QbService:
    def __init__(self, config, parent_dir,socketio):
        self.config = config

        self.remote_qb_task = RemoteQbTask(config, parent_dir,socketio)

    def init(self):
        self.remote_qb_task.login()

    def send_to_qb(self, torrent):
        return self.remote_qb_task.send_to_qb(torrent)

    def start_monitoring(self):
        self.remote_qb_task.start_monitoring()

    def stop_monitoring(self):
        self.remote_qb_task.stop_monitoring()
