import json
import logging
import os

from src.api.Aria2API import Aria2API
from src.api.alist import AlistAPI
from src.api.radarr import RadarClient
from src.task.RemoteDownloadTask import RemoteDownloadTask


class RemoteDownloadService:
    def __init__(self, config, parent_dir):
        self.remote_download_task = RemoteDownloadTask(config, parent_dir)

    def download(self):
        self.remote_download_task.process_downloads()

    def start_monitoring(self):
        self.remote_download_task.start_monitoring()

    def stop_monitoring(self):
        self.remote_download_task.stop_monitoring()
